Skip to main content
GET
/
voices
/
{id}
Get Voice
curl --request GET \
  --url https://api.cartesia.ai/voices/{id} \
  --header 'Cartesia-Version: <cartesia-version>' \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.cartesia.ai/voices/{id}"

headers = {
"Cartesia-Version": "<cartesia-version>",
"X-API-Key": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Cartesia-Version': '<cartesia-version>', 'X-API-Key': '<api-key>'}
};

fetch('https://api.cartesia.ai/voices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "is_public": true,
  "name": "<string>",
  "description": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "embedding": [
    123
  ],
  "language": "en",
  "user_id": "<string>",
  "country": "US"
}

Authorizations

X-API-Key
string
header
required

Headers

Cartesia-Version
enum<string>
required

API version header.

Available options:
2024-06-10
Example:

"2024-06-10"

Path Parameters

id
string
required

The ID of the voice.

Response

200 - application/json
id
string
required

The ID of the voice.

is_public
boolean
required

Whether the voice is publicly accessible.

name
string
required

The name of the voice.

description
string
required

The description of the voice.

created_at
string<date-time>
required

The date and time the voice was created.

embedding
number<double>[]
required

A 192-dimensional vector (i.e. a list of 192 numbers) that represents the voice.

language
string
required

The voice's language, as an ISO 639-1 code (e.g. en, fr, zh)

Example:

"en"

user_id
string | null

The ID of the user who owns the voice.

country
string | null

The country associated with the voice, as an ISO 3166-1 alpha-2 code when available (e.g. US, GB, FR).

Example:

"US"